# $Revision: 1.4 $, $Date: 2006/12/11 21:30:01 $

%define	_realname	dynamite

Summary:	SynCE Dynamite - a tool to use data compressed with PKWARE DCL
Summary(pl):	SynCE Dynamite - narzdzie do dekompresji danych spakowanych PKWARE DCL
Name:		synce-%{_realname}
Version:	0.1
Release:	1
License:	MIT
Group:		Applications
Source0:	http://dl.sourceforge.net/synce/%{_realname}-%{version}.tar.gz
# Source0-md5:	5e99d9172f60b8084cc6f6ba1a8c8261
URL:		http://www.synce.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.4
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.213
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dynamite is a tool for decompressing data compressed with PKWARE Data
Compression Library and it was created from the specification provided
by a post in the comp.compression newsgroup.

%description -l pl
Dynamite jest narzdziem sucym do dekompresji danych spakowanych za
pomoc PKWARE Data Compression Library. Zostao stworzone zgodnie ze
specyfikacj zamieszczon wiadomoci wysanej na grup dyskusyjn
comp.compression.

%package libs
Summary:	The Dynamite library
Summary(pl):	Biblioteka Dynamite
Group:		Libraries

%description libs
The dynamite library. It is needed to squeeze out juicy .cab files
from self-extracting installation programs created by the Setup
Factory installation program.

%description libs -l pl
Biblioteka Dynamite. Jest ona potrzebna do wydobycia plikw .cab z
programw instalacyjnych utworzonych za pomoc programu Setup Factory.

%package libs-devel
Summary:	Header files for the Dynamite library
Summary(pl):	Pliki nagwkowe biblioteki Dynamite
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description libs-devel
Header files for the Dynamite library.

%description libs-devel -l pl
Pliki nagwkowe biblioteki Dynamite.

%package libs-static
Summary:	Static Dynamite library
Summary(pl):	Statyczna biblioteka Dynamite
Group:		Development/Libraries
Requires:	%{name}-libs-devel = %{version}-%{release}

%description libs-static
Static Dynamite library.

%description libs-static -l pl
Statyczna biblioteka Dynamite.

%prep
%setup -q -n %{_realname}-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE
%attr(755,root,root) %{_bindir}/*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdynamite.so.*.*.*

%files libs-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdynamite.so
%{_libdir}/libdynamite.la
%{_includedir}/libdynamite.h
%{_aclocaldir}/dynamite.m4

%files libs-static
%defattr(644,root,root,755)
%{_libdir}/libdynamite.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: synce-dynamite.spec,v $
Revision 1.4  2006/12/11 21:30:01  glen
- new URL

Revision 1.3  2005/10/30 23:24:01  qboosh
- deps really fixed

Revision 1.2  2005/10/30 23:19:09  qboosh
- libs Group, deps fixes

Revision 1.1  2005/10/29 22:55:10  prism
- new in PLD
